Sage 9.6.rc1 released

94 views
Skip to first unread message

Volker Braun

unread,
Apr 19, 2022, 6:41:23 PMApr 19
to sage-release
As always, you can get the latest beta version from the "develop" git branch. Alternatively, the self-contained source tarball is at http://www.sagemath.org/download-latest.html

ad69a5b07b (tag: 9.6.rc1, trac/develop) Updated SageMath version to 9.6.rc1
9da7c13c69 Trac #33706: GIAC kills process 1 in ctrl_c_signal_handler
57fd20c3f1 (tag: 9.6.rc0) Updated SageMath version to 9.6.rc0

Sébastien Labbé

unread,
Apr 20, 2022, 6:32:38 AMApr 20
to sage-release
Testing with few optional and external packages on Ubuntu 18.04, I get failures with 8 files:

----------------------------------------------------------------------
sage -t --long --random-seed=244716197900726204861772829584257473787 src/sage/tests/books/computational-mathematics-with-sagemath/lp_doctest.py  # 2 doctests failed
sage -t --long --random-seed=244716197900726204861772829584257473787 src/sage/numerical/backends/glpk_backend.pyx  # 4 doctests failed
sage -t --long --random-seed=244716197900726204861772829584257473787 src/sage/numerical/mip.pyx  # 8 doctests failed
sage -t --long --random-seed=244716197900726204861772829584257473787 src/sage/combinat/designs/incidence_structures.py  # 1 doctest failed
sage -t --long --random-seed=244716197900726204861772829584257473787 src/sage/graphs/generic_graph.py  # 2 doctests failed
sage -t --long --random-seed=244716197900726204861772829584257473787 src/sage/geometry/polyhedron/base.py  # 1 doctest failed
sage -t --long --random-seed=244716197900726204861772829584257473787 src/sage/graphs/graph.py  # 3 doctests failed
sage -t --long --random-seed=244716197900726204861772829584257473787 src/sage/tests/cmdline.py  # 1 doctest failed
----------------------------------------------------------------------

Failures involving half of the above files are of the following form:

**********************************************************************                              
File "src/sage/numerical/mip.pyx", line 2925, in sage.numerical.mip.MixedIntegerLinearProgram.get_relative_objective_gap
Failed example: 
    p.solve() # rel tol 100        
Expected:        
    1.0 
Got:
    Long-step dual simplex will be used 
    1.0
**********************************************************************

This is due to the fact that warnings like "Long-step dual simplex will be used" are not ignored by the check_output method when some tolerance like `# rel tol 100` are given. A fix is available here:

#33588 warnings to ignore are not ignored when a doctest is tagged with # tol

Other failures are known, follow up at https://trac.sagemath.org/ticket/25536

Sébastien

Emmanuel Charpentier

unread,
Apr 21, 2022, 7:37:00 AMApr 21
to sage-release

On Debian testing running on core i7 + 16 GB RAM, this single upgrade from 9.6.rc1 entails a lot of recompilations ; running ptestlong afterwards gives one transient failure. The first run, during ptestlong, fails on :

sage -t --long --warn-long 197.3 --random-seed=231891798173780441466806536015088186553 src/sage/schemes/cyclic_covers/cycliccover_finite_field.py
**********************************************************************
File "src/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 1139, in sage.schemes.cyclic_covers.cycliccover_finite_field.CyclicCover_finite_field.frobenius_polynomial
Failed example:
    CyclicCover(11, PolynomialRing(GF(1129), 'x')([-1] + [0]*(5-1) + [1])).frobenius_polynomial() # long time
Exception raised:
    Traceback (most recent call last):
      File "sage/misc/cachefunc.pyx", line 1943, in sage.misc.cachefunc.CachedMethodCaller.__call__ (build/cythonized/sage/misc/cachefunc.c:10414)
        return cache[k]
    KeyError: ((11,), ())

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/local/sage-9/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/forker.py", line 695, in _run
        self.compile_and_execute(example, compiler, test.globs)
      File "/usr/local/sage-9/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/doctest/forker.py", line 1093, in compile_and_execute
        exec(compiled, globs)
      File "<doctest sage.schemes.cyclic_covers.cycliccover_finite_field.CyclicCover_finite_field.frobenius_polynomial[23]>", line 1, in <module>
        CyclicCover(Integer(11), PolynomialRing(GF(Integer(1129)), 'x')([-Integer(1)] + [Integer(0)]*(Integer(5)-Integer(1)) + [Integer(1)])).frobenius_polynomial() # long time
      File "sage/misc/cachefunc.pyx", line 2310, in sage.misc.cachefunc.CachedMethodCallerNoArgs.__call__ (build/cythonized/sage/misc/cachefunc.c:13024)
        self.cache = f(self._instance)
      File "/usr/local/sage-9/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 1234, in frobenius_polynomial
        F = self.frobenius_matrix(self._N0)
      File "sage/misc/cachefunc.pyx", line 1948, in sage.misc.cachefunc.CachedMethodCaller.__call__ (build/cythonized/sage/misc/cachefunc.c:10550)
        w = self._instance_call(*args, **kwds)
      File "sage/misc/cachefunc.pyx", line 1824, in sage.misc.cachefunc.CachedMethodCaller._instance_call (build/cythonized/sage/misc/cachefunc.c:10016)
        return self.f(self._instance, *args, **kwds)
      File "/usr/local/sage-9/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 1072, in frobenius_matrix
        FrobP = _frobenius_matrix_p(self._N0)
      File "/usr/local/sage-9/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 1068, in _frobenius_matrix_p
        ] = self._frob(i, j + self._epsilon * self._r, N0)
      File "/usr/local/sage-9/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 994, in _frob
        self._initialize_fat_horizontal(
      File "/usr/local/sage-9/local/var/lib/sage/venv-python3.10/lib/python3.10/site-packages/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 738, in _initialize_fat_horizontal
        DH = [elt[0, 0] for elt in interval_products(D0, D1, targets)]
      File "sage/schemes/hyperelliptic_curves/hypellfrob.pyx", line 140, in sage.schemes.hyperelliptic_curves.hypellfrob.interval_products (build/cythonized/sage/schemes/hyperelliptic_curves/hypellfrob.cpp:4007)
        sig_on()
    SystemError: calling remove_from_pari_stack() inside sig_on()
**********************************************************************
File "src/sage/schemes/cyclic_covers/cycliccover_finite_field.py", line 1142, in sage.schemes.cyclic_covers.cycliccover_finite_field.CyclicCover_finite_field.frobenius_polynomial
Warning, slow doctest:
    CyclicCover(3, PolynomialRing(GF(1009^2), 'x')([-1] + [0]*(5-1) + [1])).frobenius_polynomial() # long time
Test ran for 206.68 s, check ran for 0.00 s
**********************************************************************
1 item had failures:
   1 of  60 in sage.schemes.cyclic_covers.cycliccover_finite_field.CyclicCover_finite_field.frobenius_polynomial
    [168 tests, 1 failure, 332.92 s]

A standalone run is successfull.

HTH,

Kenji Iohara

unread,
Apr 23, 2022, 2:59:08 AMApr 23
to sage-r...@googlegroups.com
Thanks Volker for this release.

On my Mac OS 12.3.1 with IntelCore, homebrew and Python 3.10.2, I couldn’t compile sage-9.6.rc1 from the first buit,
owing to the errors on the packages
 
                     gmpy2-2.1.1    cysignals-1.11.2   matplotlib-3.5.1

saying    

             ERROR: Failed to build one or more wheels

even if three of the above packaages are pre-installed via (pip install ***). 

Kenji
20/04/2022 0:41、Volker Braun <vbrau...@gmail.com>のメール:

--
You received this message because you are subscribed to the Google Groups "sage-release" group.
To unsubscribe from this group and stop receiving emails from it, send an email to sage-release...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/sage-release/9f9f680c-0601-4dd7-9929-316c18fbcfc1n%40googlegroups.com.

G. M.-S.

unread,
Apr 24, 2022, 1:53:57 PMApr 24
to sage-release

Thanks, Volker.

Nothing new on Apple Silicon Macs with Homebrew up to date.

Guillermo

Emmanuel Charpentier

unread,
Apr 25, 2022, 10:53:04 AMApr 25
to sage-release
Identical results on Debian testing running on core i5 + 8 GB RAM.

HTH,

Reply all
Reply to author
Forward
0 new messages